curl --request POST \
--url https://live.copilot.fabric.inc/api-category/v1/category/item-attribute/condition \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"id": "6196b45b5cb04b7ce167cb46",
"nodeId": 25,
"itemAttributeConditions": [
{
"attributeId": "609ac75051f11a0007cf38b3"
}
]
}
'import requests
url = "https://live.copilot.fabric.inc/api-category/v1/category/item-attribute/condition"
payload = {
"id": "6196b45b5cb04b7ce167cb46",
"nodeId": 25,
"itemAttributeConditions": [{ "attributeId": "609ac75051f11a0007cf38b3" }]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: '6196b45b5cb04b7ce167cb46',
nodeId: 25,
itemAttributeConditions: [{attributeId: '609ac75051f11a0007cf38b3'}]
})
};
fetch('https://live.copilot.fabric.inc/api-category/v1/category/item-attribute/condition', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "619a8ba6f1875f6dbcaf0521",
"nodeId": 25,
"itemAttributeConditions": [
{}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Add and remove item attribute conditions
Adds conditions for item attributes so that items can be filtered based on these conditions, from an Alternate category.
For example, a Primary category called Chairs has three chairs of different materials. An Alternate category called Wooden Chairs with Primary category Chairs as source will list all the three chairs. Through this endpoint you can add a ‘item attribute condition’ to filter chairs made of wood from Wooden Chairs. Another example: Using this endpoint, you can combine categories and list items on sale (where sale attribute is true).
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
A 24-character system-generated category ID. nodeId and id are the two identifier of a category, and one of them must be specified.
"6196b45b5cb04b7ce167cb46"
Numeric category ID. nodeId and id are the two identifier of a category, and one of them must be specified.
25
Details of conditions set or unset
Show child attributes
Show child attributes
Was this page helpful?
